%define	name	dosbox
%define version 0.63
%define release 3mdk
%define	Summary	A DOS emulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
Source0:	http://prdownloads.sourceforge.net/dosbox/%{name}-%{version}.tar.bz2
Source2:	%{name}.conf.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
License:	GPL
Group:		Emulators
URL:		http://dosbox.sourceforge.net/
BuildRequires:	png-devel SDL-devel SDL_net-devel SDL_sound-devel XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
DOSBox is a DOS-emulator that uses the SDL-library which makes
DOSBox very easy to port to different platforms. DOSBox has
already been ported to many different platforms, such as
Windows, BeOS, Linux, MacOS X...

DOSBox also emulates CPU:286/386 realmode/protected mode,
Directory FileSystem/XMS/EMS, Tandy/Hercules/CGA/EGA/VGA/VESA
graphics, a SoundBlaster/Gravis Ultra Sound card for excellent
sound compatibility with older games...

You can "re-live" the good old days with the help of DOSBox,
it can run plenty of the old classics that don't run on your
new computer!

%prep
%setup -q

%build
%configure2_5x	--enable-core-inline
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall
rm -rf %buildroot%_datadir/doc/dosbox
%{__install} -d $RPM_BUILD_ROOT{%{_menudir},%{_sysconfdir}}
%{__bzip2} -dc %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name} -conf %{_sysconfdir}/%{name}.conf" \
		icon=%{name}.png \
		needs="x11" \
		section="Applications/Emulators" \
		title="DOSBox"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root,755)
%{_bindir}/%{name}
%defattr(644,root,root,755)
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/*/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%doc AUTHORS ChangeLog NEWS README THANKS

%changelog
* Thu Mar 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.63-3mdk
- do not bzip2 icons in src.rpm
- convert changelog to utf8

* Tue Dec 07 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.63-2mdk
- from Miguel Barrio Orsikowsky <megamik@zarb.org> : 
	- changed BuildRequires
	- new configuration file
	- added SDL_sound-devel to BuildRequires
	- updated package description

* Fri Nov 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.63-1mdk
- New release 0.63


* Thu Sep 30 2004 Götz Waschk <waschk@linux-mandrake.com> 0.62-1mdk
- drop patch
- New release 0.62

* Thu Aug 19 2004 Götz Waschk <waschk@linux-mandrake.com> 0.61-3mdk
- rebuild for new menu

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.61-2mdk
- add source URL
- patch for new g++

* Wed Feb  4 2004 Götz Waschk <waschk@linux-mandrake.com> 0.61-1mdk
- drop patch 3
- new version

* Fri Jan  9 2004 Götz Waschk <waschk@linux-mandrake.com> 0.60-2mdk
- patch3: fix alsa build

* Mon Oct 20 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.60-1mdk
- 0.60
- adjusted buildrequires for lib64
- dropped P2, now a configure option
- drop --enable-shots, no longer a configure option

* Mon Aug 11 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.58-2mdk
- reenabled C_EXTRAINLINE (P3) (from Peter Veenstra)
- change summary tag to avoid possible conflicts if we were to build debug package

* Fri Apr 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.58-1mdk
- updated url
- 0.58
- dropped Patch0 & Patch1
- enable screenshot support
- added man page

* Thu Mar 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.57-3mdk
- add libncurses-devel to BuildRequires(from Michaël Scherer)
- define EGAVGA=1 and C_EXTRAINLINE=1(from Michaël Scherer) in settings.h(Patch1)

* Thu Mar 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.57-2mdk
- fixed description (missing 'T')
- added tandy patch (Patch0)
- fixed 16x16 icon to make it less fuzzy

* Thu Mar 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.57-1mdk
- initial mdk release
